digiKam Developer Documentation: Digikam::DDoubleSliderSpinBox Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DDoubleSliderSpinBox Class Reference
Inheritance diagram for Digikam::DDoubleSliderSpinBox:

## Public Slots
void | setValue (double value)

## Signals
void | valueChanged (double value)

## Public Member Functions
| DDoubleSliderSpinBox (QWidget *const parent=nullptr)
double | fastSliderStep () const
double | maximum () const
double | minimum () const
void | setFastSliderStep (double step)
void | setMaximum (double maximum)
void | setMinimum (double minimum)
void | setRange (double minimum, double maximum, int decimals=0)
void | setSingleStep (double value)
double | value ()
Public Member Functions inherited from Digikam::DAbstractSliderSpinBox
void | hideEdit ()
bool | isDragging () const
virtual QSize | minimumSize () const
QSize | minimumSizeHint () const override
void | setBlockUpdateSignalOnDrag (bool block)
| If set to block, it informs inheriting classes that they shouldn't emit signals if the update comes from a mouse dragging the slider.
void | setExponentRatio (double dbl)
void | setPrefix (const QString &prefix)
void | setSuffix (const QString &suffix)
void | showEdit ()
QSize | sizeHint () const override

## Protected Member Functions
void | setInternalValue (int value, bool blockUpdateSignal) override
| Sets the slider internal value.
QString | valueString () const override
Protected Member Functions inherited from Digikam::DAbstractSliderSpinBox
| DAbstractSliderSpinBox (QWidget *const parent, DAbstractSliderSpinBoxPrivate *const q)
void | changeEvent (QEvent *e) override
QRect | downButtonRect (const QStyleOptionSpinBox &spinBoxOptions) const
bool | eventFilter (QObject *recv, QEvent *e) override
void | focusInEvent (QFocusEvent *e) override
void | keyPressEvent (QKeyEvent *e) override
void | mouseMoveEvent (QMouseEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | mouseReleaseEvent (QMouseEvent *e) override
void | paint (QPainter &painter)
void | paintBreeze (QPainter &painter)
void | paintEvent (QPaintEvent *e) override
void | paintFusion (QPainter &painter)
void | paintPlastique (QPainter &painter)
QStyleOptionProgressBar | progressBarOptions () const
QRect | progressRect (const QStyleOptionSpinBox &spinBoxOptions) const
QStyleOptionSpinBox | spinBoxOptions () const
QRect | upButtonRect (const QStyleOptionSpinBox &spinBoxOptions) const
int | valueForX (int x, Qt::KeyboardModifiers modifiers=Qt::NoModifier) const
void | wheelEvent (QWheelEvent *e) override

## Additional Inherited Members
Protected Slots inherited from Digikam::DAbstractSliderSpinBox
void | contextMenuEvent (QContextMenuEvent *event) override
void | editLostFocus ()
Protected Attributes inherited from Digikam::DAbstractSliderSpinBox
DAbstractSliderSpinBoxPrivate *const | d_ptr

## Member Function Documentation

## ◆ setInternalValue()

void Digikam::DDoubleSliderSpinBox::setInternalValue | ( | int | value,
|  | bool | blockUpdateSignal
| ) |  |
| overrideprotectedvirtual

Inheriting classes should respect blockUpdateSignal so that, in specific cases, we have a performance improvement. See setIgnoreMouseMoveEvents.

Implements Digikam::DAbstractSliderSpinBox.

## ◆ valueString()

QString Digikam::DDoubleSliderSpinBox::valueString | ( |  | ) | const
| overrideprotectedvirtual

Implements Digikam::DAbstractSliderSpinBox.